                     MEMBER('testlegacy.clw')


!--------------------------------------------------
RIDelete:pli         FUNCTION
Current:Position     STRING(512)
  CODE
  Current:Position = POSITION(PLI:Keynazwy)
  LOGOUT(2,pli)
  IF ERRORCODE()
    RISaveError
    StandardWarning(Warn:LogoutError,'Delete','pli')
    DO RICloseFiles
    RETURN(1)
  END
  REGET(PLI:Keynazwy,Current:Position)
  DELETE(pli)
  IF ERRORCODE()
    RISaveError
    StandardWarning(Warn:RIDeleteError,'pli')
    DO RICloseFiles
    RETURN(1)
  ELSE
    COMMIT
    DO RICloseFiles
    RETURN(0)
  END
!----------------------------------------------------------------------
RICloseFiles ROUTINE
!|
!| This routine is called to close any files opened durint RI processing
!|
  EXIT

!--------------------------------------------------
RIDelete:test        FUNCTION
Current:Position     STRING(512)
  CODE
  Current:Position = POSITION(TEST:Keyname)
  LOGOUT(2,test)
  IF ERRORCODE()
    RISaveError
    StandardWarning(Warn:LogoutError,'Delete','test')
    DO RICloseFiles
    RETURN(1)
  END
  REGET(TEST:Keyname,Current:Position)
  DELETE(test)
  IF ERRORCODE()
    RISaveError
    StandardWarning(Warn:RIDeleteError,'test')
    DO RICloseFiles
    RETURN(1)
  ELSE
    COMMIT
    DO RICloseFiles
    RETURN(0)
  END
!----------------------------------------------------------------------
RICloseFiles ROUTINE
!|
!| This routine is called to close any files opened durint RI processing
!|
  EXIT
